Fetch Eco Product Details For Given Producer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.algorep.ai/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Algorep MCP server": {
    "url": "https://docs.algorep.ai/mcp"
  }
}

Close
GET /producers/{ProducerNrn}/eco-products

Path parameters

  • ProducerNrn string Required

    Producer Unique NRN

Query parameters

  • DeclarationPeriodCode string Required

    2023, 2024, etc.

  • EprCountryCode string Required

    FR, ES, etc.

  • SchemeCode string

    Scheme Code

  • Limit number

    Maximum number of items to return

    Minimum value is 1, maximum value is 25.

  • Offset number

    Number of items to skip in the pagination system

    Minimum value is 0.

Responses

  • 200 application/json

    List of producer eco products

    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • id string
      • externalId string
      • externalIdType string
      • title string
      • description string
      • imageUrl string
      • weight number
      • createdAt string
      • updatedAt string
      • ecoContributions array[object]
        Hide ecoContributions attributes Show ecoContributions attributes object
        • id string
        • ecoProductId string
        • declarationPeriodCode string
        • eprCountryCode string
        • schemeCode string
        • ecoOrganismName string
        • scaleCode string
        • quantityUnit string
        • price number
        • createdAt string
        • updatedAt string
        • schemePro object
          Hide schemePro attributes Show schemePro attributes object
          • id string

            Database UUID of the SchemePro

          • bubbleId string

            Bubble unique ID of the SchemePro. It can be null if the SchemePro was not created on Bubble at first.

          • ecoOrganismName string
          • eprCountryCode string
          • schemeCode string
          • ademeSchemeCode string
          • currencyDeposit string
          • declarationFrequency string
          • proAddress string
          • proCity string
          • proZipCode string
          • proCountryBubbleId string
          • proCountryId string
          • registrationDeposit number
          • schemeNameEn string
          • schemeNameFr string
          • schemePartner boolean
          • createdAt string
          • updatedAt string
          • countProductsScheme number | null

            Number of Products for this Scheme if any

          • country object
            Hide country attributes Show country attributes object
            • id string

              Database UUID of the Country

            • bubbleId string

              Bubble unique ID of the Country. It can be null if the Country was not created on Bubble at first.

            • codeIso2 string
            • isVat boolean
            • nameEN string
            • nameFR string
            • nameZH string
            • eprActivated boolean
            • createdAt string
            • updatedAt string
            • schemePros
          • seller object
            Hide seller attributes Show seller attributes object
            • id string

              Database UUID of the Seller

            • bubbleId string

              Bubble unique ID of the Seller

            • companyName string
            • nrn string
            • vat string
            • companyAddress string
            • superAdminEmail string
            • superAdminMobilePhone string
            • superAdminFirstName string
            • superAdminLastName string
            • registrationFeesId string
            • declarationBasicFeesId string
            • declarationPremiumFeesId string
            • connectAlgorepId string
            • commissionPercentage string
            • createdAt string
            • updatedAt string
          • sellerStripeConfig object
            Hide sellerStripeConfig attributes Show sellerStripeConfig attributes object
            • id string

              Database UUID of the SellerSchemeProStripeConfig

            • sellerId string

              Database UUID of the Seller

            • schemeProId string

              Database UUID of the SchemePro

            • depositPriceId string
            • ecoContributionPriceId string
            • connectId string
            • createdAt string
            • updatedAt string
      • catalog object
        Hide catalog attributes Show catalog attributes object
        • id string
        • ecoProductId string
        • producerNrn string
        • eprCountryCode string
        • ecoProductUrl string
        • ecoProductStatus string
        • source string

          Can be BATCH_UPLOAD, SINGLE_ADD, AMAZON, MIRAKL

        • createdAt string
        • updatedAt string
        • quantity number
  • 400 application/json

    An error happenned during the request, refer to error code for more information

    Hide response attribute Show response attribute object
    • error string

      One of:

      The server encountered an unknown error!

      Default value is ALGOREP_001.

      Eco product could not be found

      Default value is ALGOREP_002.

      Dgraph Failed To Process The Request

      Default value is ALGOREP_003.

      Producer could not be found

      Default value is ALGOREP_004.

      Bad Request

      Default value is ALGOREP_005.

      Declaration already validated for this product

      Default value is ALGOREP_006.

      Producer Batch Process Failed: Invalid ContentType, Request Should Be Multipart/FormData.

      Default value is ALGOREP_007.

      No file found on request

      Default value is ALGOREP_008.

      Too many files found on request

      Default value is ALGOREP_009.

      Qualification Pipeline Failed: ExternalId Not Found

      Default value is ALGOREP_010.

      Qualification Pipeline Failed: ExternalIdType Not Found / Could Not Be Determined

      Default value is ALGOREP_011.

      Qualification Pipeline Failed: ProducerNrn Not Found

      Default value is ALGOREP_012.

      Qualification Pipeline Failed: Product 'Title' Or 'Image' Could Not Be Determined, But Necessary To Compute Contributions.

      Default value is ALGOREP_013.

      Qualification Pipeline Failed: EcoFeez Could Not Determine Contributions.

      Default value is ALGOREP_014.

      Qualification Pipeline Failed: EcoFeez Could Not Determine Some Necessary Field.

      Default value is ALGOREP_015.

      Producer Batch Pre Process Pipeline Failed: Could Not Find CSV File On S3.

      Default value is ALGOREP_016.

      Producer Batch Pre Process Pipeline Failed: CSV File Contains Errors

      Default value is ALGOREP_017.

      Producer Batch Pre Process Pipeline Failed: Did Not Find Any Product To Process In CSV File

      Default value is ALGOREP_018.

      Producer Batch Pre Process Pipeline Failed: Not Enough Credit Balance To Process All Products

      Default value is ALGOREP_019.

      Producer Batch Pre Process Pipeline Failed: ProducerId Not Found

      Default value is ALGOREP_020.

      Producer Batch Pre Process Pipeline Failed: Unable To Insert Pipeline Information Into Database

      Default value is ALGOREP_021.

      Producer Batch Pre Process Pipeline Failed: Another Running Pipeline Already Exists For This Producer

      Default value is ALGOREP_022.

      Producer Batch Process Pipeline Failed: ProducerId Not Found

      Default value is ALGOREP_023.

      Producer Batch Process Pipeline Failed: ProductId Not Found

      Default value is ALGOREP_024.

      Producer Batch Process Pipeline Failed: EprCountryCode Not Found Or Empty

      Default value is ALGOREP_025.

      Producer Batch Process Pipeline Failed: DeclarationPeriodCode Not Found

      Default value is ALGOREP_026.

      Producer Batch Process Pipeline Failed: Too Many Records Consumed At Once

      Default value is ALGOREP_027.

      No Company Found With This NRN

      Default value is ALGOREP_028.

  • 500 application/json

    An error happenned during the request, refer to error code for more information

    Hide response attribute Show response attribute object
    • error string

      One of:

      The server encountered an unknown error!

      Default value is ALGOREP_001.

      Eco product could not be found

      Default value is ALGOREP_002.

      Dgraph Failed To Process The Request

      Default value is ALGOREP_003.

      Producer could not be found

      Default value is ALGOREP_004.

      Bad Request

      Default value is ALGOREP_005.

      Declaration already validated for this product

      Default value is ALGOREP_006.

      Producer Batch Process Failed: Invalid ContentType, Request Should Be Multipart/FormData.

      Default value is ALGOREP_007.

      No file found on request

      Default value is ALGOREP_008.

      Too many files found on request

      Default value is ALGOREP_009.

      Qualification Pipeline Failed: ExternalId Not Found

      Default value is ALGOREP_010.

      Qualification Pipeline Failed: ExternalIdType Not Found / Could Not Be Determined

      Default value is ALGOREP_011.

      Qualification Pipeline Failed: ProducerNrn Not Found

      Default value is ALGOREP_012.

      Qualification Pipeline Failed: Product 'Title' Or 'Image' Could Not Be Determined, But Necessary To Compute Contributions.

      Default value is ALGOREP_013.

      Qualification Pipeline Failed: EcoFeez Could Not Determine Contributions.

      Default value is ALGOREP_014.

      Qualification Pipeline Failed: EcoFeez Could Not Determine Some Necessary Field.

      Default value is ALGOREP_015.

      Producer Batch Pre Process Pipeline Failed: Could Not Find CSV File On S3.

      Default value is ALGOREP_016.

      Producer Batch Pre Process Pipeline Failed: CSV File Contains Errors

      Default value is ALGOREP_017.

      Producer Batch Pre Process Pipeline Failed: Did Not Find Any Product To Process In CSV File

      Default value is ALGOREP_018.

      Producer Batch Pre Process Pipeline Failed: Not Enough Credit Balance To Process All Products

      Default value is ALGOREP_019.

      Producer Batch Pre Process Pipeline Failed: ProducerId Not Found

      Default value is ALGOREP_020.

      Producer Batch Pre Process Pipeline Failed: Unable To Insert Pipeline Information Into Database

      Default value is ALGOREP_021.

      Producer Batch Pre Process Pipeline Failed: Another Running Pipeline Already Exists For This Producer

      Default value is ALGOREP_022.

      Producer Batch Process Pipeline Failed: ProducerId Not Found

      Default value is ALGOREP_023.

      Producer Batch Process Pipeline Failed: ProductId Not Found

      Default value is ALGOREP_024.

      Producer Batch Process Pipeline Failed: EprCountryCode Not Found Or Empty

      Default value is ALGOREP_025.

      Producer Batch Process Pipeline Failed: DeclarationPeriodCode Not Found

      Default value is ALGOREP_026.

      Producer Batch Process Pipeline Failed: Too Many Records Consumed At Once

      Default value is ALGOREP_027.

      No Company Found With This NRN

      Default value is ALGOREP_028.

GET /producers/{ProducerNrn}/eco-products
curl \
 --request GET 'https://b6l4r8pq7c.execute-api.eu-west-3.amazonaws.com/producers/34368801600504/eco-products?DeclarationPeriodCode=2023&EprCountryCode=FR' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "data": [
    {
      "id": "1a0dde4e-151f-4eb9-a26b-6e5cf2e428c0",
      "externalId": "B07LGH32TM",
      "externalIdType": "ASIN",
      "title": "Nike Jordan Clc99 Snapback - Chapeau - Mixte",
      "description": "Tissu extensible confortable avec technologie respirant, pour une sensation de fraîcheur et de légèreté. La technologie dri-fit garantit la peau sèche, le confort et la concentration.",
      "imageUrl": "https://m.media-amazon.com/images/I/51eA4-lLSDL.jpg",
      "weight": "42,5",
      "createdAt": "2023-12-08T18:27:15.895Z",
      "updatedAt": "2023-12-08T18:27:15.895Z",
      "ecoContributions": [
        {
          "id": "6b1d9468-0e7e-47ef-bb05-9b158637bf79",
          "ecoProductId": "07b456f3-5b03-4987-a7df-cbfdb14f9540",
          "declarationPeriodCode": "2023",
          "eprCountryCode": "FR",
          "schemeCode": "TLC",
          "ecoOrganismName": "Refashion",
          "scaleCode": "V-30-N-EM0",
          "quantityUnit": "Unité de vente",
          "price": 0.0124,
          "createdAt": "2023-12-08T19:12:30.082+01:00",
          "updatedAt": "2023-12-08T19:12:30.082+01:00",
          "schemePro": {
            "id": "50658c1e-356e-4407-b120-d110552292d8",
            "bubbleId": "1708861331497x933611102973227500",
            "ecoOrganismName": "LEKO",
            "eprCountryCode": "FR",
            "schemeCode": "EMPAP",
            "ademeSchemeCode": "PCHIM",
            "currencyDeposit": "€",
            "declarationFrequency": "Annuel",
            "proAddress": "14, Boulevard de la Chapelle",
            "proCity": "Paris",
            "proZipCode": "75018",
            "proCountryBubbleId": "1699973781289x474882884422860800",
            "proCountryId": "a3bf6503-426b-43da-a2ac-37f8d8305a78",
            "proLogo": "https://my-logo",
            "registrationDeposit": 77,
            "schemeNameEn": "Clothing textiles, household linens and shoes",
            "schemeNameFr": "Textiles d'habillement, Linge de maison et Chaussures",
            "schemePartner": true,
            "createdAt": "2024-01-19T12:45:04.147Z",
            "updatedAt": "2024-01-19T12:45:04.147Z",
            "countProductsScheme": 72,
            "country": {
              "id": "50658c1e-356e-4407-b120-d110552292d8",
              "bubbleId": "1708861331497x933611102973227500",
              "codeIso2": "FR",
              "isVat": true,
              "nameEN": "United-Kingdom",
              "nameFR": "Royaume-Uni",
              "nameZH": "英国",
              "eprActivated": true,
              "createdAt": "2024-01-19T12:45:04.147Z",
              "updatedAt": "2024-01-19T12:45:04.147Z"
            },
            "seller": {
              "id": "50658c1e-356e-4407-b120-d110552292d8",
              "bubbleId": "1708861331497x933611102973227500",
              "companyName": "Coca-Cola",
              "nrn": "45649879465",
              "vat": "FR95645645678",
              "companyAddress": "42 RUE VICTOR HUGO",
              "companyLogo": "https://my-url",
              "superAdminEmail": "super-admin@email.com",
              "superAdminMobilePhone": "0609921214",
              "superAdminFirstName": "Nicolas",
              "superAdminLastName": "Delalande",
              "registrationFeesId": "string",
              "declarationBasicFeesId": "string",
              "declarationPremiumFeesId": "string",
              "connectAlgorepId": "string",
              "commissionPercentage": "string",
              "createdAt": "2024-01-19T12:45:04.147Z",
              "updatedAt": "2024-01-19T12:45:04.147Z"
            },
            "sellerStripeConfig": {
              "id": "50658c1e-356e-4407-b120-d110552292d8",
              "sellerId": "50658c1e-356e-4407-b120-d110552292d8",
              "schemeProId": "50658c1e-356e-4407-b120-d110552292d8",
              "depositPriceId": "some-id",
              "ecoContributionPriceId": "some-id",
              "connectId": "some-id",
              "createdAt": "2024-01-19T12:45:04.147Z",
              "updatedAt": "2024-01-19T12:45:04.147Z"
            }
          }
        }
      ],
      "catalog": {
        "id": "1a0dde4e-151f-4eb9-a26b-6e5cf2e428c0",
        "ecoProductId": "1a0dde4e-151f-4eb9-a26b-6e5cf2e428c0",
        "producerNrn": "34368801600504",
        "eprCountryCode": "FR",
        "ecoProductUrl": "https://link-to-the-product.com",
        "ecoProductStatus": "AI_QUALIFIED",
        "source": "BATCH_UPLOAD",
        "createdAt": "2023-12-08T18:27:15.895Z",
        "updatedAt": "2023-12-08T18:27:15.895Z",
        "quantity": 42
      }
    }
  ]
}
Response examples (400)
{
  "error": "ALGOREP_001"
}
Response examples (500)
{
  "error": "ALGOREP_001"
}